<?php

namespace MGModule\DNSManager2\models\custom\task;
use MGModule\DNSManager2 as main;

/**
 * Description of repository
 *
 */
class Repository extends \MGModule\DNSManager2\mgLibs\models\repository{
    public function getModelClass() {
        return __NAMESPACE__.'\Task';
    }
    
    public function byName($name) {
        return $this->setFilter('name', $name);
    }
    
    public function byParentID($parentid) {
        return $this->setFilter('parentid', $parentid);
    }
    
    public function byStatus($status) {
        return $this->setFilter('status', $status);
    }

    public function byId($id) {
        return $this->setFilter('id', $id);
    }
}
